<!-- HTML header for doxygen 1.8.9.1-->
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.11"/>
<title>OpenThread: IPv6</title>
<link href="../../tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../jquery.js"></script>
<script type="text/javascript" src="../../dynsections.js"></script>
<link href="../../navtree.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../resize.js"></script>
<script type="text/javascript" src="../../navtreedata.js"></script>
<script type="text/javascript" src="../../navtree.js"></script>
<script type="text/javascript">
  $(document).ready(initResizable);
  $(window).load(resizeHeight);
</script>
<link href="../../search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../search/searchdata.js"></script>
<script type="text/javascript" src="../../search/search.js"></script>
<script type="text/javascript">
  $(document).ready(function() { init_search(); });
</script>
<link href="../../doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectlogo"><img alt="Logo" src="../../Open-Thread-Logo-200x42.png"/></td>
  <td style="padding-left: 0.5em;">
   <div id="projectname">
   &#160;<span id="projectnumber">gddd0704</span>
   </div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.11 -->
<script type="text/javascript">
var searchBox = new SearchBox("searchBox", "../../search",false,'Search');
</script>
  <div id="navrow1" class="tabs">
    <ul class="tablist">
      <li><a href="../../index.html"><span>Main&#160;Page</span></a></li>
      <li class="current"><a href="../../modules.html"><span>Modules</span></a></li>
      <li><a href="../../namespaces.html"><span>Namespaces</span></a></li>
      <li><a href="../../annotated.html"><span>Classes</span></a></li>
      <li><a href="../../files.html"><span>Files</span></a></li>
      <li>
        <div id="MSearchBox" class="MSearchBoxInactive">
        <span class="left">
          <img id="MSearchSelect" src="../../search/mag_sel.png"
               onmouseover="return searchBox.OnSearchSelectShow()"
               onmouseout="return searchBox.OnSearchSelectHide()"
               alt=""/>
          <input type="text" id="MSearchField" value="Search" accesskey="S"
               onfocus="searchBox.OnSearchFieldFocus(true)" 
               onblur="searchBox.OnSearchFieldFocus(false)" 
               onkeyup="searchBox.OnSearchFieldChange(event)"/>
          </span><span class="right">
            <a id="MSearchClose" href="javascript:searchBox.CloseResultsWindow()"><img id="MSearchCloseImg" border="0" src="../../search/close.png" alt=""/></a>
          </span>
        </div>
      </li>
    </ul>
  </div>
</div><!-- top -->
<div id="side-nav" class="ui-resizable side-nav-resizable">
  <div id="nav-tree">
    <div id="nav-tree-contents">
      <div id="nav-sync" class="sync"></div>
    </div>
  </div>
  <div id="splitbar" style="-moz-user-select:none;" 
       class="ui-resizable-handle">
  </div>
</div>
<script type="text/javascript">
$(document).ready(function(){initNavTree('db/de8/group__ip6.html','../../');});
</script>
<div id="doc-content">
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div class="header">
  <div class="summary">
<a href="#typedef-members">Typedefs</a> &#124;
<a href="#func-members">Functions</a>  </div>
  <div class="headertitle">
<div class="title">IPv6<div class="ingroups"><a class="el" href="../../d0/d2d/group__api.html">API</a></div></div>  </div>
</div><!--header-->
<div class="contents">

<p>This module includes functions that control IPv6 communication.  
<a href="#details">More...</a></p>
<div class="dynheader">
Collaboration diagram for IPv6:</div>
<div class="dyncontent">
<center><table><tr><td><img src="../../db/de8/group__ip6.png" border="0" alt="" usemap="#db_2de8_2group____ip6"/>
<map name="db_2de8_2group____ip6" id="db_2de8_2group____ip6">
<area shape="rect" id="node2" href="../../d0/d2d/group__api.html" title="This module includes the application programming interface to the OpenThread stack. " alt="" coords="5,5,48,31"/>
</map>
</td></tr></table></center>
</div>
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="typedef-members"></a>
Typedefs</h2></td></tr>
<tr class="memitem:ga723b52a00a8f6cfd99c0c2a94a47eca1"><td class="memItemLeft" align="right" valign="top">typedef void(*&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../db/de8/group__ip6.html#ga723b52a00a8f6cfd99c0c2a94a47eca1">otReceiveIp6DatagramCallback</a>) (<a class="el" href="../../d4/d7c/group__messages.html#ga461fb1347aeb99b1d4aab520915e121e">otMessage</a> aMessage, void *aContext)</td></tr>
<tr class="memdesc:ga723b52a00a8f6cfd99c0c2a94a47eca1"><td class="mdescLeft">&#160;</td><td class="mdescRight">This function pointer is called when an IPv6 datagram is received.  <a href="#ga723b52a00a8f6cfd99c0c2a94a47eca1">More...</a><br /></td></tr>
<tr class="separator:ga723b52a00a8f6cfd99c0c2a94a47eca1"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="func-members"></a>
Functions</h2></td></tr>
<tr class="memitem:gaad24ff034036ee73ff5f384f7758dd67"><td class="memItemLeft" align="right" valign="top"><a class="el" href="../../d4/d7c/group__messages.html#ga461fb1347aeb99b1d4aab520915e121e">otMessage</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../db/de8/group__ip6.html#gaad24ff034036ee73ff5f384f7758dd67">otNewIp6Message</a> (<a class="el" href="../../d2/d83/structotInstance.html">otInstance</a> *aInstance, bool aLinkSecurityEnabled)</td></tr>
<tr class="memdesc:gaad24ff034036ee73ff5f384f7758dd67"><td class="mdescLeft">&#160;</td><td class="mdescRight">Allocate a new message buffer for sending an IPv6 message.  <a href="#gaad24ff034036ee73ff5f384f7758dd67">More...</a><br /></td></tr>
<tr class="separator:gaad24ff034036ee73ff5f384f7758dd67"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:gaef68a2e4dd98fdce1b9a007dbbf59786"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../db/de8/group__ip6.html#gaef68a2e4dd98fdce1b9a007dbbf59786">otSetReceiveIp6DatagramCallback</a> (<a class="el" href="../../d2/d83/structotInstance.html">otInstance</a> *aInstance, <a class="el" href="../../db/de8/group__ip6.html#ga723b52a00a8f6cfd99c0c2a94a47eca1">otReceiveIp6DatagramCallback</a> aCallback, void *aCallbackContext)</td></tr>
<tr class="memdesc:gaef68a2e4dd98fdce1b9a007dbbf59786"><td class="mdescLeft">&#160;</td><td class="mdescRight">This function registers a callback to provide received IPv6 datagrams.  <a href="#gaef68a2e4dd98fdce1b9a007dbbf59786">More...</a><br /></td></tr>
<tr class="separator:gaef68a2e4dd98fdce1b9a007dbbf59786"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:gae806d1edf57c525342453495485ebc5d"><td class="memItemLeft" align="right" valign="top">bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../db/de8/group__ip6.html#gae806d1edf57c525342453495485ebc5d">otIsReceiveIp6DatagramFilterEnabled</a> (<a class="el" href="../../d2/d83/structotInstance.html">otInstance</a> *aInstance)</td></tr>
<tr class="memdesc:gae806d1edf57c525342453495485ebc5d"><td class="mdescLeft">&#160;</td><td class="mdescRight">This function indicates whether or not Thread control traffic is filtered out when delivering IPv6 datagrams via the callback specified in <a class="el" href="../../db/de8/group__ip6.html#gaef68a2e4dd98fdce1b9a007dbbf59786" title="This function registers a callback to provide received IPv6 datagrams. ">otSetReceiveIp6DatagramCallback()</a>.  <a href="#gae806d1edf57c525342453495485ebc5d">More...</a><br /></td></tr>
<tr class="separator:gae806d1edf57c525342453495485ebc5d"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga17d9c1c306a1ad33d12e4a15a09c13d7"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../db/de8/group__ip6.html#ga17d9c1c306a1ad33d12e4a15a09c13d7">otSetReceiveIp6DatagramFilterEnabled</a> (<a class="el" href="../../d2/d83/structotInstance.html">otInstance</a> *aInstance, bool aEnabled)</td></tr>
<tr class="memdesc:ga17d9c1c306a1ad33d12e4a15a09c13d7"><td class="mdescLeft">&#160;</td><td class="mdescRight">This function sets whether or not Thread control traffic is filtered out when delivering IPv6 datagrams via the callback specified in <a class="el" href="../../db/de8/group__ip6.html#gaef68a2e4dd98fdce1b9a007dbbf59786" title="This function registers a callback to provide received IPv6 datagrams. ">otSetReceiveIp6DatagramCallback()</a>.  <a href="#ga17d9c1c306a1ad33d12e4a15a09c13d7">More...</a><br /></td></tr>
<tr class="separator:ga17d9c1c306a1ad33d12e4a15a09c13d7"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:gaeebc9cdd23401b7abbd7c7610a1eef07"><td class="memItemLeft" align="right" valign="top"><a class="el" href="../../dc/dbf/openthread-types_8h.html#ab701d053a9c34ab7f11e43e0dc09ac9f">ThreadError</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../db/de8/group__ip6.html#gaeebc9cdd23401b7abbd7c7610a1eef07">otSendIp6Datagram</a> (<a class="el" href="../../d2/d83/structotInstance.html">otInstance</a> *aInstance, <a class="el" href="../../d4/d7c/group__messages.html#ga461fb1347aeb99b1d4aab520915e121e">otMessage</a> aMessage)</td></tr>
<tr class="memdesc:gaeebc9cdd23401b7abbd7c7610a1eef07"><td class="mdescLeft">&#160;</td><td class="mdescRight">This function sends an IPv6 datagram via the Thread interface.  <a href="#gaeebc9cdd23401b7abbd7c7610a1eef07">More...</a><br /></td></tr>
<tr class="separator:gaeebc9cdd23401b7abbd7c7610a1eef07"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga9d32dce3e44f5e1761814ad927a11af9"><td class="memItemLeft" align="right" valign="top">bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../db/de8/group__ip6.html#ga9d32dce3e44f5e1761814ad927a11af9">otIsIcmpEchoEnabled</a> (<a class="el" href="../../d2/d83/structotInstance.html">otInstance</a> *aInstance)</td></tr>
<tr class="memdesc:ga9d32dce3e44f5e1761814ad927a11af9"><td class="mdescLeft">&#160;</td><td class="mdescRight">This function indicates whether or not ICMPv6 Echo processing is enabled.  <a href="#ga9d32dce3e44f5e1761814ad927a11af9">More...</a><br /></td></tr>
<tr class="separator:ga9d32dce3e44f5e1761814ad927a11af9"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga0ce509edb0c426cf48cb5bac1f7542cc"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../db/de8/group__ip6.html#ga0ce509edb0c426cf48cb5bac1f7542cc">otSetIcmpEchoEnabled</a> (<a class="el" href="../../d2/d83/structotInstance.html">otInstance</a> *aInstance, bool aEnabled)</td></tr>
<tr class="memdesc:ga0ce509edb0c426cf48cb5bac1f7542cc"><td class="mdescLeft">&#160;</td><td class="mdescRight">This function sets whether or not ICMPv6 Echo processing is enabled.  <a href="#ga0ce509edb0c426cf48cb5bac1f7542cc">More...</a><br /></td></tr>
<tr class="separator:ga0ce509edb0c426cf48cb5bac1f7542cc"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga4133edcf0a1ea5e618741060969d9bc7"><td class="memItemLeft" align="right" valign="top">uint8_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../db/de8/group__ip6.html#ga4133edcf0a1ea5e618741060969d9bc7">otIp6PrefixMatch</a> (const <a class="el" href="../../d6/d55/structotIp6Address.html">otIp6Address</a> *aFirst, const <a class="el" href="../../d6/d55/structotIp6Address.html">otIp6Address</a> *aSecond)</td></tr>
<tr class="memdesc:ga4133edcf0a1ea5e618741060969d9bc7"><td class="mdescLeft">&#160;</td><td class="mdescRight">This function returns the prefix match length (bits) for two IPv6 addresses.  <a href="#ga4133edcf0a1ea5e618741060969d9bc7">More...</a><br /></td></tr>
<tr class="separator:ga4133edcf0a1ea5e618741060969d9bc7"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<a name="details" id="details"></a><h2 class="groupheader">Detailed Description</h2>
<p>This module includes functions that control IPv6 communication. </p>
<h2 class="groupheader">Typedef Documentation</h2>
<a class="anchor" id="ga723b52a00a8f6cfd99c0c2a94a47eca1"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">typedef void(* otReceiveIp6DatagramCallback) (<a class="el" href="../../d4/d7c/group__messages.html#ga461fb1347aeb99b1d4aab520915e121e">otMessage</a> aMessage, void *aContext)</td>
        </tr>
      </table>
</div><div class="memdoc">

<p>This function pointer is called when an IPv6 datagram is received. </p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramdir">[in]</td><td class="paramname">aMessage</td><td>A pointer to the message buffer containing the received IPv6 datagram. </td></tr>
    <tr><td class="paramdir">[in]</td><td class="paramname">aContext</td><td>A pointer to application-specific context. </td></tr>
  </table>
  </dd>
</dl>

</div>
</div>
<h2 class="groupheader">Function Documentation</h2>
<a class="anchor" id="ga4133edcf0a1ea5e618741060969d9bc7"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">uint8_t otIp6PrefixMatch </td>
          <td>(</td>
          <td class="paramtype">const <a class="el" href="../../d6/d55/structotIp6Address.html">otIp6Address</a> *&#160;</td>
          <td class="paramname"><em>aFirst</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">const <a class="el" href="../../d6/d55/structotIp6Address.html">otIp6Address</a> *&#160;</td>
          <td class="paramname"><em>aSecond</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p>This function returns the prefix match length (bits) for two IPv6 addresses. </p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramdir">[in]</td><td class="paramname">aFirst</td><td>A pointer to the first IPv6 address. </td></tr>
    <tr><td class="paramdir">[in]</td><td class="paramname">aSecond</td><td>A pointer to the second IPv6 address.</td></tr>
  </table>
  </dd>
</dl>
<dl class="section return"><dt>Returns</dt><dd>The prefix match length in bits. </dd></dl>

<p><div class="dynheader">
Here is the caller graph for this function:</div>
<div class="dyncontent">
<div class="center"><img src="../../db/de8/group__ip6_ga4133edcf0a1ea5e618741060969d9bc7_icgraph.png" border="0" usemap="#db/de8/group__ip6_ga4133edcf0a1ea5e618741060969d9bc7_icgraph" alt=""/></div>
<map name="db/de8/group__ip6_ga4133edcf0a1ea5e618741060969d9bc7_icgraph" id="db/de8/group__ip6_ga4133edcf0a1ea5e618741060969d9bc7_icgraph">
<area shape="rect" id="node2" href="../../d5/d79/classThread_1_1Utils_1_1Slaac.html#ae463675ecbed031812b39039534d8532" title="This function update addresses that shall be automatically created using SLAAC. " alt="" coords="175,5,312,44"/>
</map>
</div>
</p>

</div>
</div>
<a class="anchor" id="ga9d32dce3e44f5e1761814ad927a11af9"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">bool otIsIcmpEchoEnabled </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="../../d2/d83/structotInstance.html">otInstance</a> *&#160;</td>
          <td class="paramname"><em>aInstance</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p>This function indicates whether or not ICMPv6 Echo processing is enabled. </p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramdir">[in]</td><td class="paramname">aInstance</td><td>A pointer to an OpenThread instance.</td></tr>
  </table>
  </dd>
</dl>
<dl class="retval"><dt>Return values</dt><dd>
  <table class="retval">
    <tr><td class="paramname">TRUE</td><td>ICMPv6 Echo processing is enabled. </td></tr>
    <tr><td class="paramname">FALSE</td><td>ICMPv6 Echo processing is disabled. </td></tr>
  </table>
  </dd>
</dl>

<p><div class="dynheader">
Here is the call graph for this function:</div>
<div class="dyncontent">
<div class="center"><img src="../../db/de8/group__ip6_ga9d32dce3e44f5e1761814ad927a11af9_cgraph.png" border="0" usemap="#db/de8/group__ip6_ga9d32dce3e44f5e1761814ad927a11af9_cgraph" alt=""/></div>
<map name="db/de8/group__ip6_ga9d32dce3e44f5e1761814ad927a11af9_cgraph" id="db/de8/group__ip6_ga9d32dce3e44f5e1761814ad927a11af9_cgraph">
<area shape="rect" id="node2" href="../../da/dd7/classThread_1_1Ip6_1_1Icmp.html#af4cae4712ae9ef69a40f856a1ee32116" title="This method indicates whether or not ICMPv6 Echo processing is enabled. " alt="" coords="204,5,338,44"/>
</map>
</div>
</p>

<p><div class="dynheader">
Here is the caller graph for this function:</div>
<div class="dyncontent">
<div class="center"><img src="../../db/de8/group__ip6_ga9d32dce3e44f5e1761814ad927a11af9_icgraph.png" border="0" usemap="#db/de8/group__ip6_ga9d32dce3e44f5e1761814ad927a11af9_icgraph" alt=""/></div>
<map name="db/de8/group__ip6_ga9d32dce3e44f5e1761814ad927a11af9_icgraph" id="db/de8/group__ip6_ga9d32dce3e44f5e1761814ad927a11af9_icgraph">
<area shape="rect" id="node2" href="../../d9/dc8/classThread_1_1NcpBase.html#ad14f0f1d60c77f7f537a0a441a9fb35c" title="This method is called by the framer whenever a framing error is detected. " alt="" coords="204,5,396,44"/>
<area shape="rect" id="node3" href="../../dc/d60/classThread_1_1NcpUart.html#a34e4ca7aff5b9056593e8ce0aa6e2fbb" title="This method is called when uart received a data buffer. " alt="" coords="444,5,639,44"/>
</map>
</div>
</p>

</div>
</div>
<a class="anchor" id="gae806d1edf57c525342453495485ebc5d"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">bool otIsReceiveIp6DatagramFilterEnabled </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="../../d2/d83/structotInstance.html">otInstance</a> *&#160;</td>
          <td class="paramname"><em>aInstance</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p>This function indicates whether or not Thread control traffic is filtered out when delivering IPv6 datagrams via the callback specified in <a class="el" href="../../db/de8/group__ip6.html#gaef68a2e4dd98fdce1b9a007dbbf59786" title="This function registers a callback to provide received IPv6 datagrams. ">otSetReceiveIp6DatagramCallback()</a>. </p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramdir">[in]</td><td class="paramname">aInstance</td><td>A pointer to an OpenThread instance.</td></tr>
  </table>
  </dd>
</dl>
<dl class="section return"><dt>Returns</dt><dd>TRUE if Thread control traffic is filtered out, FALSE otherwise.</dd></dl>
<dl class="section see"><dt>See also</dt><dd><a class="el" href="../../db/de8/group__ip6.html#gaef68a2e4dd98fdce1b9a007dbbf59786" title="This function registers a callback to provide received IPv6 datagrams. ">otSetReceiveIp6DatagramCallback</a> </dd>
<dd>
<a class="el" href="../../db/de8/group__ip6.html#ga17d9c1c306a1ad33d12e4a15a09c13d7" title="This function sets whether or not Thread control traffic is filtered out when delivering IPv6 datagra...">otSetReceiveIp6DatagramFilterEnabled</a> </dd></dl>

<p><div class="dynheader">
Here is the call graph for this function:</div>
<div class="dyncontent">
<div class="center"><img src="../../db/de8/group__ip6_gae806d1edf57c525342453495485ebc5d_cgraph.png" border="0" usemap="#db/de8/group__ip6_gae806d1edf57c525342453495485ebc5d_cgraph" alt=""/></div>
<map name="db/de8/group__ip6_gae806d1edf57c525342453495485ebc5d_cgraph" id="db/de8/group__ip6_gae806d1edf57c525342453495485ebc5d_cgraph">
<area shape="rect" id="node2" href="../../d3/d05/classThread_1_1Ip6_1_1Ip6.html#a94d05fa92784c6b401e6be45a3a555a5" title="This method indicates whether or not Thread control traffic is filtered out when delivering IPv6 data..." alt="" coords="251,5,432,44"/>
</map>
</div>
</p>

<p><div class="dynheader">
Here is the caller graph for this function:</div>
<div class="dyncontent">
<div class="center"><img src="../../db/de8/group__ip6_gae806d1edf57c525342453495485ebc5d_icgraph.png" border="0" usemap="#db/de8/group__ip6_gae806d1edf57c525342453495485ebc5d_icgraph" alt=""/></div>
<map name="db/de8/group__ip6_gae806d1edf57c525342453495485ebc5d_icgraph" id="db/de8/group__ip6_gae806d1edf57c525342453495485ebc5d_icgraph">
<area shape="rect" id="node2" href="../../d9/dc8/classThread_1_1NcpBase.html#ad14f0f1d60c77f7f537a0a441a9fb35c" title="This method is called by the framer whenever a framing error is detected. " alt="" coords="251,5,443,44"/>
<area shape="rect" id="node3" href="../../dc/d60/classThread_1_1NcpUart.html#a34e4ca7aff5b9056593e8ce0aa6e2fbb" title="This method is called when uart received a data buffer. " alt="" coords="491,5,686,44"/>
</map>
</div>
</p>

</div>
</div>
<a class="anchor" id="gaad24ff034036ee73ff5f384f7758dd67"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="../../d4/d7c/group__messages.html#ga461fb1347aeb99b1d4aab520915e121e">otMessage</a> otNewIp6Message </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="../../d2/d83/structotInstance.html">otInstance</a> *&#160;</td>
          <td class="paramname"><em>aInstance</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">bool&#160;</td>
          <td class="paramname"><em>aLinkSecurityEnabled</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Allocate a new message buffer for sending an IPv6 message. </p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramdir">[in]</td><td class="paramname">aInstance</td><td>A pointer to an OpenThread instance. </td></tr>
    <tr><td class="paramdir">[in]</td><td class="paramname">aLinkSecurityEnabled</td><td>TRUE if the message should be secured at Layer 2</td></tr>
  </table>
  </dd>
</dl>
<dl class="section return"><dt>Returns</dt><dd>A pointer to the message buffer or NULL if no message buffers are available.</dd></dl>
<dl class="section see"><dt>See also</dt><dd><a class="el" href="../../d4/d7c/group__messages.html#ga538d36d69a14bd432d651e062070bc06" title="Free an allocated message buffer. ">otFreeMessage</a> </dd></dl>

<p><div class="dynheader">
Here is the call graph for this function:</div>
<div class="dyncontent">
<div class="center"><img src="../../db/de8/group__ip6_gaad24ff034036ee73ff5f384f7758dd67_cgraph.png" border="0" usemap="#db/de8/group__ip6_gaad24ff034036ee73ff5f384f7758dd67_cgraph" alt=""/></div>
<map name="db/de8/group__ip6_gaad24ff034036ee73ff5f384f7758dd67_cgraph" id="db/de8/group__ip6_gaad24ff034036ee73ff5f384f7758dd67_cgraph">
<area shape="rect" id="node2" href="../../d5/d9f/classThread_1_1MessagePool.html#a2d10b04dfeb1e0c9321eab0e95fda55f" title="This method is used to obtain a new message. " alt="" coords="185,67,371,92"/>
<area shape="rect" id="node3" href="../../dc/d3c/classThread_1_1Message.html#a942818bf261c0af93b793017407c2b2c" title="This method sets whether or not link security is enabled for the message. " alt="" coords="427,5,604,44"/>
<area shape="rect" id="node4" href="../../dc/d3c/classThread_1_1Message.html#acecf07ee065974c8b211c151ea5d6e14" title="This method sets the number of bytes in the message. " alt="" coords="419,68,612,93"/>
<area shape="rect" id="node5" href="../../d5/d9f/classThread_1_1MessagePool.html#a80238d94036455e30762ea4a5a0916f8" title="This method is used to free a message and return all message buffers to the buffer pool..." alt="" coords="440,117,591,156"/>
<area shape="rect" id="node6" href="../../db/d50/classThread_1_1Buffer.html#a34ab22941ccd9bb222d251a6a18c95bf" title="This method returns a pointer to the next message buffer. " alt="" coords="660,99,858,124"/>
<area shape="rect" id="node7" href="../../db/d50/classThread_1_1Buffer.html#a437ec9ccafa1ef6040a6e8e4fae9c3ca" title="This method sets the pointer to the next message buffer. " alt="" coords="661,148,857,173"/>
</map>
</div>
</p>

<p><div class="dynheader">
Here is the caller graph for this function:</div>
<div class="dyncontent">
<div class="center"><img src="../../db/de8/group__ip6_gaad24ff034036ee73ff5f384f7758dd67_icgraph.png" border="0" usemap="#db/de8/group__ip6_gaad24ff034036ee73ff5f384f7758dd67_icgraph" alt=""/></div>
<map name="db/de8/group__ip6_gaad24ff034036ee73ff5f384f7758dd67_icgraph" id="db/de8/group__ip6_gaad24ff034036ee73ff5f384f7758dd67_icgraph">
<area shape="rect" id="node2" href="../../d9/dc8/classThread_1_1NcpBase.html#ad14f0f1d60c77f7f537a0a441a9fb35c" title="This method is called by the framer whenever a framing error is detected. " alt="" coords="185,5,377,44"/>
<area shape="rect" id="node3" href="../../dc/d60/classThread_1_1NcpUart.html#a34e4ca7aff5b9056593e8ce0aa6e2fbb" title="This method is called when uart received a data buffer. " alt="" coords="425,5,620,44"/>
</map>
</div>
</p>

</div>
</div>
<a class="anchor" id="gaeebc9cdd23401b7abbd7c7610a1eef07"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="../../dc/dbf/openthread-types_8h.html#ab701d053a9c34ab7f11e43e0dc09ac9f">ThreadError</a> otSendIp6Datagram </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="../../d2/d83/structotInstance.html">otInstance</a> *&#160;</td>
          <td class="paramname"><em>aInstance</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="../../d4/d7c/group__messages.html#ga461fb1347aeb99b1d4aab520915e121e">otMessage</a>&#160;</td>
          <td class="paramname"><em>aMessage</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p>This function sends an IPv6 datagram via the Thread interface. </p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramdir">[in]</td><td class="paramname">aInstance</td><td>A pointer to an OpenThread instance. </td></tr>
    <tr><td class="paramdir">[in]</td><td class="paramname">aMessage</td><td>A pointer to the message buffer containing the IPv6 datagram. </td></tr>
  </table>
  </dd>
</dl>

<p><div class="dynheader">
Here is the call graph for this function:</div>
<div class="dyncontent">
<div class="center"><img src="../../db/de8/group__ip6_gaeebc9cdd23401b7abbd7c7610a1eef07_cgraph.png" border="0" usemap="#db/de8/group__ip6_gaeebc9cdd23401b7abbd7c7610a1eef07_cgraph" alt=""/></div>
<map name="db/de8/group__ip6_gaeebc9cdd23401b7abbd7c7610a1eef07_cgraph" id="db/de8/group__ip6_gaeebc9cdd23401b7abbd7c7610a1eef07_cgraph">
<area shape="rect" id="node2" href="../../d3/d05/classThread_1_1Ip6_1_1Ip6.html#aac26950e3836c09b286ec241ced9d2c6" title="This method processes a received IPv6 datagram. " alt="" coords="194,717,359,756"/>
<area shape="rect" id="node34" href="../../d2/d55/classThread_1_1Ip6_1_1Netif.html#a6c8c4f1757a98e7a45197c97da1ec8b8" title="This method returns the network interface identifier. " alt="" coords="703,1424,828,1463"/>
<area shape="rect" id="node3" href="../../dc/d3c/classThread_1_1Message.html#a76033bbc15170d72452186058defafa2" title="This method reads bytes from the message. " alt="" coords="424,668,589,693"/>
<area shape="rect" id="node5" href="../../dc/d3c/classThread_1_1Message.html#a2cf440376e834030c38bb2ced4ca49e9" title="This method returns the number of bytes in the message. " alt="" coords="409,117,604,143"/>
<area shape="rect" id="node6" href="../../d8/d6e/classThread_1_1Ip6_1_1Header.html#ab081c2f814f0aad90e5b0e01c25706c1" title="This method returns the IPv6 Payload Length value. " alt="" coords="436,167,577,205"/>
<area shape="rect" id="node7" href="../../d8/d6e/classThread_1_1Ip6_1_1Header.html#a3f8dbaae0bae57c77defb98536c1adbe" title="This method indicates whether or not the IPv6 Version is set to 6. " alt="" coords="436,229,577,268"/>
<area shape="rect" id="node8" href="../../da/d46/classThread_1_1Ip6_1_1MessageInfo.html#a794b87e17aa877f3551c00aa8c892072" title="This method returns a reference to the peer socket address. " alt="" coords="420,292,593,331"/>
<area shape="rect" id="node9" href="../../d8/d6e/classThread_1_1Ip6_1_1Header.html#a6cc72334ebe32da12f67b0389b9bae21" title="This method returns the IPv6 Source address. " alt="" coords="436,355,577,393"/>
<area shape="rect" id="node10" href="../../da/d46/classThread_1_1Ip6_1_1MessageInfo.html#a97e94677a677f600a227dd970f4a02e8" title="This method returns a reference to the local socket address. " alt="" coords="420,417,593,456"/>
<area shape="rect" id="node11" href="../../d8/d6e/classThread_1_1Ip6_1_1Header.html#a24b065a50a342b00d2d8907b2fb3a66a" title="This method returns the IPv6 Destination address. " alt="" coords="436,480,577,519"/>
<area shape="rect" id="node12" href="../../d8/d6e/classThread_1_1Ip6_1_1Header.html#a3887b14d3f0c9943a645ddede9ef0eb8" title="This method returns the IPv6 Hop Limit value. " alt="" coords="436,543,577,581"/>
<area shape="rect" id="node13" href="../../d9/db1/classThread_1_1Ip6_1_1Address.html#a37b709740053966d80e6c4b65e38ad2e" title="This method indicates whether or not the IPv6 address is multicast address. " alt="" coords="433,605,579,644"/>
<area shape="rect" id="node14" href="../../d2/d55/classThread_1_1Ip6_1_1Netif.html#affa17002c66b0d80677e02c52b1802a8" title="This method indicates whether or not the network interface is subscribed to a multicast address..." alt="" coords="427,1017,586,1056"/>
<area shape="rect" id="node19" href="../../d3/d05/classThread_1_1Ip6_1_1Ip6.html#a0e4b59b9f7ff2462e908ef77e85064fc" title="This method indicates whether or not aAddress is assigned to a network interface. ..." alt="" coords="418,717,595,756"/>
<area shape="rect" id="node20" href="../../d9/db1/classThread_1_1Ip6_1_1Address.html#a95748f9c0a5048ce8700cd040d7efc52" title="This method indicates whether or not the IPv6 address scope is Link&#45;Local. " alt="" coords="433,780,579,819"/>
<area shape="rect" id="node21" href="../../dc/d3c/classThread_1_1Message.html#acaa6ed0d0c060a524cb5da25451acc0d" title="This method sets the byte offset within the message. " alt="" coords="412,843,600,868"/>
<area shape="rect" id="node22" href="../../d8/d6e/classThread_1_1Ip6_1_1Header.html#a7717de6245b76cb29e09ce439ff15276" title="This method returns the IPv6 Next Header value. " alt="" coords="436,892,577,931"/>
<area shape="rect" id="node23" href="../../d8/d6e/classThread_1_1Ip6_1_1Header.html#a60add06692d13d0b9ff26d1d1459cafa" title="This method sets the IPv6 Hop Limit value. " alt="" coords="436,955,577,993"/>
<area shape="rect" id="node24" href="../../dc/d3c/classThread_1_1Message.html#add75c76a1fa70eb5d4eb03b68c5d1df8" title="This method writes bytes to the message. " alt="" coords="425,68,588,93"/>
<area shape="rect" id="node25" href="../../d8/d6e/classThread_1_1Ip6_1_1Header.html#a41501290880a55bd683395b81b4b24f4" title="This static method returns the byte offset of the IPv6 Hop Limit field. " alt="" coords="436,1080,577,1119"/>
<area shape="rect" id="node26" href="../../d8/d6e/classThread_1_1Ip6_1_1Header.html#a2f8657aedcd0f9e8a6c5378b88e817ed" title="This static method returns the size of the IPv6 Hop Limit field. " alt="" coords="436,1143,577,1181"/>
<area shape="rect" id="node27" href="../../dc/d3c/classThread_1_1Message.html#adc9d723284f5807d9c272ab89bc52b45" title="This method frees this message buffer. " alt="" coords="426,1205,586,1231"/>
<area shape="rect" id="node28" href="../../d3/d05/classThread_1_1Ip6_1_1Ip6.html#a8898d57384edae5363d6a77da8db2618" title="This method determines which network interface aAddress is on&#45;link, if any. " alt="" coords="413,1255,600,1293"/>
<area shape="rect" id="node30" href="../../db/ddb/classThread_1_1Ip6_1_1Routes.html#a37d68dcf1c3885d2241a81729b1f4dd4" title="This method performs source&#45;destination route lookup. " alt="" coords="437,1317,576,1356"/>
<area shape="rect" id="node33" href="../../d3/d05/classThread_1_1Ip6_1_1Ip6.html#a98df4d553ccc75e7570f3effcdd184b1" title="This method returns the network interface identified by aInterfaceId. " alt="" coords="407,1380,606,1405"/>
<area shape="rect" id="node35" href="../../d2/d55/classThread_1_1Ip6_1_1Netif.html#a04fcb7cd1cc4b9ace37bdf07c233ed9c" title="This virtual method enqueues an IPv6 messages on this network interface. " alt="" coords="444,5,569,44"/>
<area shape="rect" id="node4" href="../../db/d50/classThread_1_1Buffer.html#a34ab22941ccd9bb222d251a6a18c95bf" title="This method returns a pointer to the next message buffer. " alt="" coords="666,368,864,393"/>
<area shape="rect" id="node15" href="../../d9/db1/classThread_1_1Ip6_1_1Address.html#abee97978cb61c9eff664a3a277ac3d8c" title="This method indicates whether or not the IPv6 address is a link&#45;local all nodes multicast address..." alt="" coords="665,987,866,1025"/>
<area shape="rect" id="node16" href="../../d9/db1/classThread_1_1Ip6_1_1Address.html#a93d389acbb866c3901ee565f1acaf551" title="This method indicates whether or not the IPv6 address is a realm&#45;local all nodes multicast address..." alt="" coords="658,1049,873,1088"/>
<area shape="rect" id="node17" href="../../d9/db1/classThread_1_1Ip6_1_1Address.html#a17b1f0739fe8928caf31f86625c36dea" title="This method indicates whether or not the IPv6 address is a link&#45;local all routers multicast address..." alt="" coords="661,1112,870,1151"/>
<area shape="rect" id="node18" href="../../d9/db1/classThread_1_1Ip6_1_1Address.html#a6cc8ec59ac4c6b8162fba7ca194e0d11" title="This method indicates whether or not the IPv6 address is a realm&#45;local all routers multicast address..." alt="" coords="654,924,877,963"/>
<area shape="rect" id="node29" href="../../d9/d13/classThread_1_1Ip6_1_1NetifUnicastAddress.html#ac7f38e1322075b0e6dfc7afc048f7eec" title="This method returns the next unicast address assigned to the interface. " alt="" coords="681,1249,850,1288"/>
<area shape="rect" id="node31" href="../../d3/d05/classThread_1_1Ip6_1_1Ip6.html#a1925e10c3f64fc3278cf3b4f1ed20d49" title="This method returns the network interface list. " alt="" coords="669,1375,862,1400"/>
<area shape="rect" id="node32" href="../../d2/d55/classThread_1_1Ip6_1_1Netif.html#adc2577aa7e4aa3481587e8f075967246" title="This method returns the next network interface in the list. " alt="" coords="703,1312,828,1351"/>
</map>
</div>
</p>

<p><div class="dynheader">
Here is the caller graph for this function:</div>
<div class="dyncontent">
<div class="center"><img src="../../db/de8/group__ip6_gaeebc9cdd23401b7abbd7c7610a1eef07_icgraph.png" border="0" usemap="#db/de8/group__ip6_gaeebc9cdd23401b7abbd7c7610a1eef07_icgraph" alt=""/></div>
<map name="db/de8/group__ip6_gaeebc9cdd23401b7abbd7c7610a1eef07_icgraph" id="db/de8/group__ip6_gaeebc9cdd23401b7abbd7c7610a1eef07_icgraph">
<area shape="rect" id="node2" href="../../d9/dc8/classThread_1_1NcpBase.html#ad14f0f1d60c77f7f537a0a441a9fb35c" title="This method is called by the framer whenever a framing error is detected. " alt="" coords="194,5,386,44"/>
<area shape="rect" id="node3" href="../../dc/d60/classThread_1_1NcpUart.html#a34e4ca7aff5b9056593e8ce0aa6e2fbb" title="This method is called when uart received a data buffer. " alt="" coords="434,5,629,44"/>
</map>
</div>
</p>

</div>
</div>
<a class="anchor" id="ga0ce509edb0c426cf48cb5bac1f7542cc"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void otSetIcmpEchoEnabled </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="../../d2/d83/structotInstance.html">otInstance</a> *&#160;</td>
          <td class="paramname"><em>aInstance</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">bool&#160;</td>
          <td class="paramname"><em>aEnabled</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p>This function sets whether or not ICMPv6 Echo processing is enabled. </p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramdir">[in]</td><td class="paramname">aInstance</td><td>A pointer to an OpenThread instance. </td></tr>
    <tr><td class="paramdir">[in]</td><td class="paramname">aEnabled</td><td>TRUE to enable ICMPv6 Echo processing, FALSE otherwise. </td></tr>
  </table>
  </dd>
</dl>

<p><div class="dynheader">
Here is the call graph for this function:</div>
<div class="dyncontent">
<div class="center"><img src="../../db/de8/group__ip6_ga0ce509edb0c426cf48cb5bac1f7542cc_cgraph.png" border="0" usemap="#db/de8/group__ip6_ga0ce509edb0c426cf48cb5bac1f7542cc_cgraph" alt=""/></div>
<map name="db/de8/group__ip6_ga0ce509edb0c426cf48cb5bac1f7542cc_cgraph" id="db/de8/group__ip6_ga0ce509edb0c426cf48cb5bac1f7542cc_cgraph">
<area shape="rect" id="node2" href="../../da/dd7/classThread_1_1Ip6_1_1Icmp.html#afc6634532527100a9a9e9e1234f49e5f" title="This method sets whether or not ICMPv6 Echo processing is enabled. " alt="" coords="214,5,347,44"/>
</map>
</div>
</p>

<p><div class="dynheader">
Here is the caller graph for this function:</div>
<div class="dyncontent">
<div class="center"><img src="../../db/de8/group__ip6_ga0ce509edb0c426cf48cb5bac1f7542cc_icgraph.png" border="0" usemap="#db/de8/group__ip6_ga0ce509edb0c426cf48cb5bac1f7542cc_icgraph" alt=""/></div>
<map name="db/de8/group__ip6_ga0ce509edb0c426cf48cb5bac1f7542cc_icgraph" id="db/de8/group__ip6_ga0ce509edb0c426cf48cb5bac1f7542cc_icgraph">
<area shape="rect" id="node2" href="../../d9/dc8/classThread_1_1NcpBase.html#a6a04825243722f9500cac2818a07c7b4" title="This constructor creates and initializes an NcpBase instance. " alt="" coords="217,5,403,31"/>
<area shape="rect" id="node3" href="../../d9/dc8/classThread_1_1NcpBase.html#ad14f0f1d60c77f7f537a0a441a9fb35c" title="This method is called by the framer whenever a framing error is detected. " alt="" coords="214,55,406,93"/>
<area shape="rect" id="node4" href="../../dc/d60/classThread_1_1NcpUart.html#a34e4ca7aff5b9056593e8ce0aa6e2fbb" title="This method is called when uart received a data buffer. " alt="" coords="454,55,649,93"/>
</map>
</div>
</p>

</div>
</div>
<a class="anchor" id="gaef68a2e4dd98fdce1b9a007dbbf59786"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void otSetReceiveIp6DatagramCallback </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="../../d2/d83/structotInstance.html">otInstance</a> *&#160;</td>
          <td class="paramname"><em>aInstance</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="../../db/de8/group__ip6.html#ga723b52a00a8f6cfd99c0c2a94a47eca1">otReceiveIp6DatagramCallback</a>&#160;</td>
          <td class="paramname"><em>aCallback</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">void *&#160;</td>
          <td class="paramname"><em>aCallbackContext</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p>This function registers a callback to provide received IPv6 datagrams. </p>
<p>By default, this callback does not pass Thread control traffic. See <a class="el" href="../../db/de8/group__ip6.html#ga17d9c1c306a1ad33d12e4a15a09c13d7" title="This function sets whether or not Thread control traffic is filtered out when delivering IPv6 datagra...">otSetReceiveIp6DatagramFilterEnabled()</a> to change the Thread control traffic filter setting.</p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramdir">[in]</td><td class="paramname">aInstance</td><td>A pointer to an OpenThread instance. </td></tr>
    <tr><td class="paramdir">[in]</td><td class="paramname">aCallback</td><td>A pointer to a function that is called when an IPv6 datagram is received or NULL to disable the callback. </td></tr>
    <tr><td class="paramdir">[in]</td><td class="paramname">aCallbackContext</td><td>A pointer to application-specific context.</td></tr>
  </table>
  </dd>
</dl>
<dl class="section see"><dt>See also</dt><dd><a class="el" href="../../db/de8/group__ip6.html#gae806d1edf57c525342453495485ebc5d" title="This function indicates whether or not Thread control traffic is filtered out when delivering IPv6 da...">otIsReceiveIp6DatagramFilterEnabled</a> </dd>
<dd>
<a class="el" href="../../db/de8/group__ip6.html#ga17d9c1c306a1ad33d12e4a15a09c13d7" title="This function sets whether or not Thread control traffic is filtered out when delivering IPv6 datagra...">otSetReceiveIp6DatagramFilterEnabled</a> </dd></dl>

<p><div class="dynheader">
Here is the call graph for this function:</div>
<div class="dyncontent">
<div class="center"><img src="../../db/de8/group__ip6_gaef68a2e4dd98fdce1b9a007dbbf59786_cgraph.png" border="0" usemap="#db/de8/group__ip6_gaef68a2e4dd98fdce1b9a007dbbf59786_cgraph" alt=""/></div>
<map name="db/de8/group__ip6_gaef68a2e4dd98fdce1b9a007dbbf59786_cgraph" id="db/de8/group__ip6_gaef68a2e4dd98fdce1b9a007dbbf59786_cgraph">
<area shape="rect" id="node2" href="../../d3/d05/classThread_1_1Ip6_1_1Ip6.html#ae0cb5116c8ca893d7067d50a84b061d5" title="This method registers a callback to provide received raw IPv6 datagrams. " alt="" coords="282,5,473,44"/>
</map>
</div>
</p>

<p><div class="dynheader">
Here is the caller graph for this function:</div>
<div class="dyncontent">
<div class="center"><img src="../../db/de8/group__ip6_gaef68a2e4dd98fdce1b9a007dbbf59786_icgraph.png" border="0" usemap="#db/de8/group__ip6_gaef68a2e4dd98fdce1b9a007dbbf59786_icgraph" alt=""/></div>
<map name="db/de8/group__ip6_gaef68a2e4dd98fdce1b9a007dbbf59786_icgraph" id="db/de8/group__ip6_gaef68a2e4dd98fdce1b9a007dbbf59786_icgraph">
<area shape="rect" id="node2" href="../../d9/dc8/classThread_1_1NcpBase.html#a6a04825243722f9500cac2818a07c7b4" title="This constructor creates and initializes an NcpBase instance. " alt="" coords="282,5,469,31"/>
</map>
</div>
</p>

</div>
</div>
<a class="anchor" id="ga17d9c1c306a1ad33d12e4a15a09c13d7"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void otSetReceiveIp6DatagramFilterEnabled </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="../../d2/d83/structotInstance.html">otInstance</a> *&#160;</td>
          <td class="paramname"><em>aInstance</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">bool&#160;</td>
          <td class="paramname"><em>aEnabled</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p>This function sets whether or not Thread control traffic is filtered out when delivering IPv6 datagrams via the callback specified in <a class="el" href="../../db/de8/group__ip6.html#gaef68a2e4dd98fdce1b9a007dbbf59786" title="This function registers a callback to provide received IPv6 datagrams. ">otSetReceiveIp6DatagramCallback()</a>. </p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramdir">[in]</td><td class="paramname">aInstance</td><td>A pointer to an OpenThread instance. </td></tr>
    <tr><td class="paramdir">[in]</td><td class="paramname">aEnabled</td><td>TRUE if Thread control traffic is filtered out, FALSE otherwise.</td></tr>
  </table>
  </dd>
</dl>
<dl class="section see"><dt>See also</dt><dd><a class="el" href="../../db/de8/group__ip6.html#gaef68a2e4dd98fdce1b9a007dbbf59786" title="This function registers a callback to provide received IPv6 datagrams. ">otSetReceiveIp6DatagramCallback</a> </dd>
<dd>
<a class="el" href="../../db/de8/group__ip6.html#gae806d1edf57c525342453495485ebc5d" title="This function indicates whether or not Thread control traffic is filtered out when delivering IPv6 da...">otIsReceiveIp6DatagramFilterEnabled</a> </dd></dl>

<p><div class="dynheader">
Here is the call graph for this function:</div>
<div class="dyncontent">
<div class="center"><img src="../../db/de8/group__ip6_ga17d9c1c306a1ad33d12e4a15a09c13d7_cgraph.png" border="0" usemap="#db/de8/group__ip6_ga17d9c1c306a1ad33d12e4a15a09c13d7_cgraph" alt=""/></div>
<map name="db/de8/group__ip6_ga17d9c1c306a1ad33d12e4a15a09c13d7_cgraph" id="db/de8/group__ip6_ga17d9c1c306a1ad33d12e4a15a09c13d7_cgraph">
<area shape="rect" id="node2" href="../../d3/d05/classThread_1_1Ip6_1_1Ip6.html#a8a27760878c9ad9932e3f59bc651c826" title="This method sets whether or not Thread control traffic is filtered out when delivering IPv6 datagrams..." alt="" coords="261,340,452,379"/>
<area shape="rect" id="node3" href="../../de/df0/classThread_1_1Ip6_1_1ExtensionHeader.html#af8eaa0aec6377e9afabfcb0d0d266aea" title="This method sets the IPv6 Next Header value. " alt="" coords="500,81,699,120"/>
<area shape="rect" id="node4" href="../../de/df0/classThread_1_1Ip6_1_1ExtensionHeader.html#ad142621af0b380ab6bfa97726cd25159" title="This method sets the IPv6 Header Extension Length value. " alt="" coords="500,144,699,183"/>
<area shape="rect" id="node5" href="../../dd/d60/classThread_1_1Ip6_1_1Mpl.html#ae07250ef04846e308fa4066e96222fed" title="This method initializes the MPL option. " alt="" coords="508,259,691,284"/>
<area shape="rect" id="node13" href="../../d8/d6e/classThread_1_1Ip6_1_1Header.html#a6cc72334ebe32da12f67b0389b9bae21" title="This method returns the IPv6 Source address. " alt="" coords="529,433,670,472"/>
<area shape="rect" id="node14" href="../../db/dfd/classThread_1_1Ip6_1_1OptionMpl.html#aed85f80a7180aa7e49df4995169da991" title="This method returns the total MPL Option length value including option header. " alt="" coords="520,308,678,347"/>
<area shape="rect" id="node15" href="../../d7/d93/classThread_1_1Ip6_1_1OptionPadN.html#aa0b5823c3b34f87c98cb38c8de9e66ae" title="This method initializes the PadN header. " alt="" coords="752,5,922,44"/>
<area shape="rect" id="node16" href="../../dc/d3c/classThread_1_1Message.html#a9c900e4c1ddbb44f1d9c87d10172f63a" title="This method prepends bytes to the front of the message. " alt="" coords="508,496,691,521"/>
<area shape="rect" id="node17" href="../../d7/d93/classThread_1_1Ip6_1_1OptionPadN.html#af1b9147ffb0a0e294181ea010a8f5553" title="This method returns the total IPv6 Option Length value including option header. " alt="" coords="515,371,684,409"/>
<area shape="rect" id="node18" href="../../d8/d6e/classThread_1_1Ip6_1_1Header.html#aec92bb6790fffab9ddb424d85a1e39b3" title="This method sets the IPv6 Payload Length value. " alt="" coords="529,545,670,584"/>
<area shape="rect" id="node19" href="../../d8/d6e/classThread_1_1Ip6_1_1Header.html#afc6dbaaca33c8996ce396195cb6f8978" title="This method sets the IPv6 Next Header value. " alt="" coords="529,608,670,647"/>
<area shape="rect" id="node6" href="../../db/dfd/classThread_1_1Ip6_1_1OptionMpl.html#ab15337033e8873669ad8ac4b3633e57b" title="This method initializes the MPL header. " alt="" coords="758,68,916,107"/>
<area shape="rect" id="node8" href="../../d2/d7c/classThread_1_1Ip6_1_1OptionHeader.html#aaa4be8de89f592ab4aa5a260e43fa083" title="This method sets the IPv6 Option Length value. " alt="" coords="975,68,1155,107"/>
<area shape="rect" id="node9" href="../../db/dfd/classThread_1_1Ip6_1_1OptionMpl.html#acd216e486ea81e1d8b598ee544310f7b" title="This method sets the MPL Sequence value. " alt="" coords="758,256,916,295"/>
<area shape="rect" id="node10" href="../../db/dfd/classThread_1_1Ip6_1_1OptionMpl.html#a6d6019b6d89f2377d7537e31fcd2f228" title="This method sets the MPL Seed Length value. " alt="" coords="758,131,916,169"/>
<area shape="rect" id="node11" href="../../d2/d7c/classThread_1_1Ip6_1_1OptionHeader.html#ac284bc7a465a12b3a2ac20927ecda327" title="This method returns the IPv6 Option Length value. " alt="" coords="747,371,927,409"/>
<area shape="rect" id="node12" href="../../db/dfd/classThread_1_1Ip6_1_1OptionMpl.html#a5d5e29c101be9cec717957bb736944db" title="This method sets the MPL Seed value. " alt="" coords="758,193,916,232"/>
<area shape="rect" id="node7" href="../../d2/d7c/classThread_1_1Ip6_1_1OptionHeader.html#ad60561b7bb2228c9636d7d1b6b4e18c2" title="This method sets the IPv6 Option Type value. " alt="" coords="975,5,1155,44"/>
</map>
</div>
</p>

<p><div class="dynheader">
Here is the caller graph for this function:</div>
<div class="dyncontent">
<div class="center"><img src="../../db/de8/group__ip6_ga17d9c1c306a1ad33d12e4a15a09c13d7_icgraph.png" border="0" usemap="#db/de8/group__ip6_ga17d9c1c306a1ad33d12e4a15a09c13d7_icgraph" alt=""/></div>
<map name="db/de8/group__ip6_ga17d9c1c306a1ad33d12e4a15a09c13d7_icgraph" id="db/de8/group__ip6_ga17d9c1c306a1ad33d12e4a15a09c13d7_icgraph">
<area shape="rect" id="node2" href="../../d9/dc8/classThread_1_1NcpBase.html#ad14f0f1d60c77f7f537a0a441a9fb35c" title="This method is called by the framer whenever a framing error is detected. " alt="" coords="261,5,452,44"/>
<area shape="rect" id="node3" href="../../dc/d60/classThread_1_1NcpUart.html#a34e4ca7aff5b9056593e8ce0aa6e2fbb" title="This method is called when uart received a data buffer. " alt="" coords="500,5,695,44"/>
</map>
</div>
</p>

</div>
</div>
</div><!-- contents -->
</div><!-- doc-content -->
<!-- start footer part -->
<div id="nav-path" class="navpath"><!-- id is needed for treeview function! -->
  <ul>
    <li class="footer">Generated on Fri Oct 14 2016 08:44:35 for OpenThread by
    <a href="http://www.doxygen.org/index.html">
    <img class="footer" src="../../doxygen.png" alt="doxygen"/></a> 1.8.11 </li>
  </ul>
</div>
</body>
</html>
